| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Flash Events
Flash Interface

The Flash driver generates call back events that are notified via the function ARM_Flash_SignalEvent. More...

## Macros

#define | ARM_FLASH_EVENT_READY (1UL << 0)
| Flash Ready.
#define | ARM_FLASH_EVENT_ERROR (1UL << 1)
| Read/Program/Erase Error.

## Description

The Flash driver generates call back events that are notified via the function ARM_Flash_SignalEvent.

This section provides the event values for the ARM_Flash_SignalEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_FLASH_EVENT_ERROR (1UL << 1)

Read/Program/Erase Error.

#define ARM_FLASH_EVENT_READY (1UL << 0)

Flash Ready.